abdera-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Simon Erhardt (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ABDERA-263) Abdera parser binary includes org.apache.axiom.soap/om/attachments
Date Tue, 06 May 2014 13:15:16 GMT

    [ https://issues.apache.org/jira/browse/ABDERA-263?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13990618#comment-13990618
] 

Simon Erhardt commented on ABDERA-263:
--------------------------------------

This causes a "Cannot create a secure XMLInputFactory" error for CXF.

> Abdera parser binary includes org.apache.axiom.soap/om/attachments
> ------------------------------------------------------------------
>
>                 Key: ABDERA-263
>                 URL: https://issues.apache.org/jira/browse/ABDERA-263
>             Project: Abdera
>          Issue Type: Bug
>    Affects Versions: 1.1
>         Environment: N/A
>            Reporter: Abhishek Shadangi
>
> When I include abdera-parser dependency in my pom.xml as below,
>     <dependency>
>        <groupId>org.apache.abdera</groupId>
>        <artifactId>abdera-parser</artifactId>
>        <version>1.1</version>
>     </dependency>
> it fetches a binary that INCLUDES the following Jars inside the binary
>     axiom-impl-1.2.5.jar
>     geronimo-stax-api_1.0_spec-1.0.1.jar
>     jaxen-1.1.1.jar
>     wstx-asl-3.2.6.jar
> AND more importantly also INCLUDES the following API packages (v1.2.5).
>     org.apache.axiom.soap
>     org.apache.axiom.om
>     org.apache.axiom.attachments
> Please see http://mvnrepository.com/artifact/org.apache.abdera/abdera-parser
> This is causing class loading conflicts in our project as we depend on the later versions
on these APIs and JARs. 
> Like other Abdera binaries, abdera-parser MUST ONLY include org.apache.abdera package.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message